#!/bin/bash

# Send a URL of the form inworldz://... to the viewer.
#

URL="$1"

if [ -z "$URL" ]; then
    #echo Usage: $0 inworldz://...
    echo "Usage: $0 [ inworldz://  | hop:// ] ..."
    exit
fi

RUN_PATH=`dirname "$0" || echo .`
#cd "${RUN_PATH}/.."
ch "${RUN_PATH}"

#exec ./inworldz -url \'"${URL}"\'
if [ `pidof do-not-directly-run-inworldz-bin` ]; then
	exec dbus-send --type=method_call --dest=com.inworldz.ViewerAppAPIService /com/inworldz/ViewerAppAPI com.inworldz.ViewerAppAPI.GoSLURL string:"$1"
else
	exec ../inworldz -url \'"${URL}"\'
fi
`

